### Enumeration

# Gio FileMeasureFlags

since: 2.38

#### Declaration

    flags Gio.FileMeasureFlags

#### Description

Flags that can be used with g_file_measure_disk_usage().

Available since: 2.38

#### Members

`G_FILE_MEASURE_NONE`

  No flags set.

  - Value: `0`
  - Available since: 2.38
`G_FILE_MEASURE_REPORT_ANY_ERROR`

  Report any error encountered while traversing the directory tree. Normally errors are only reported for the toplevel file.

  - Value: `2`
  - Available since: 2.38
`G_FILE_MEASURE_APPARENT_SIZE`

  Tally usage based on apparent file sizes. Normally, the block-size is used, if available, as this is a more accurate representation of disk space used. Compare with `du --apparent-size`. Since GLib 2.78. and similarly to `du` since GNU Coreutils 9.2, this will ignore the sizes of file types other than regular files and links, as the sizes of other file types are not specified in a standard way.

  - Value: `4`
  - Available since: 2.38
`G_FILE_MEASURE_NO_XDEV`

  Do not cross mount point boundaries. Compare with `du -x`.

  - Value: `8`
  - Available since: 2.38